maven-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From denn...@apache.org
Subject svn commit: r1659782 - in /maven/site/trunk/content/apt/developers: index.apt java6.apt
Date Sat, 14 Feb 2015 11:57:57 GMT
Author: dennisl
Date: Sat Feb 14 11:57:56 2015
New Revision: 1659782

URL: http://svn.apache.org/r1659782
Log:
Start documenting how to migrate a plugin/component to Java 6.

Added:
    maven/site/trunk/content/apt/developers/java6.apt
      - copied, changed from r1659328, maven/site/trunk/content/apt/developers/java5.apt
Modified:
    maven/site/trunk/content/apt/developers/index.apt

Modified: maven/site/trunk/content/apt/developers/index.apt
URL: http://svn.apache.org/viewvc/maven/site/trunk/content/apt/developers/index.apt?rev=1659782&r1=1659781&r2=1659782&view=diff
==============================================================================
--- maven/site/trunk/content/apt/developers/index.apt (original)
+++ maven/site/trunk/content/apt/developers/index.apt Sat Feb 14 11:57:56 2015
@@ -4,7 +4,7 @@
  Vincent Siveton
  Brett Porter
  ------
- 2008-07-03
+ 2015-02-14
  ------
 
 ~~ Licensed to the Apache Software Foundation (ASF) under one
@@ -62,6 +62,8 @@ Maven Developer Centre
   * {{{./committer-settings.html}Committer Settings}}
 
   * {{{./java5.html}Java 5 in Plugins and Components}}
+  
+  * {{{./java6.html}Java 6 in Plugins and Shared Components}}
 
   * {{{./retirement-plan-plugins.html}Retirement Plan for Plugins}}
 

Copied: maven/site/trunk/content/apt/developers/java6.apt (from r1659328, maven/site/trunk/content/apt/developers/java5.apt)
URL: http://svn.apache.org/viewvc/maven/site/trunk/content/apt/developers/java6.apt?p2=maven/site/trunk/content/apt/developers/java6.apt&p1=maven/site/trunk/content/apt/developers/java5.apt&r1=1659328&r2=1659782&rev=1659782&view=diff
==============================================================================
--- maven/site/trunk/content/apt/developers/java5.apt (original)
+++ maven/site/trunk/content/apt/developers/java6.apt Sat Feb 14 11:57:56 2015
@@ -1,9 +1,9 @@
  ------
- Java 5 in Plugins and Components
+ Java 6 in Plugins and Shared Components
  ------
  Dennis Lundberg
  ------
- 2011-02-04
+ 2015-02-14
  ------
 
 ~~ Licensed to the Apache Software Foundation (ASF) under one
@@ -26,19 +26,37 @@
 ~~ NOTE: For help with the syntax of this file, see:
 ~~ http://maven.apache.org/doxia/references/apt-format.html
 
-Java 5 in Plugins and Components
+Java 6 in Plugins and Shared Components
 
-  When you want to start using Java 5 features in a plugin, or shared component,
-  this process must be used as decided by the Maven PMC.
+  When you want to start using Java 6 features in a plugin, or a shared component,
+  the process described here must be used as decided by the Maven PMC.
   
-  A plugin can start using Java 5 features and/or dependencies when the need
-  arises, but if there are issues that have been fixed but not released yet,
-  the current trunk of the plugin must be released first, targeting Java 1.4.
-  In the announcement for that last Java 1.4 version of the plugin, we inform
-  the users that this is the last version that will be able to run on Java 1.4.
-  
-  When a plugin, or other component, decides to switch to Java 5, you should use
-  the description field in JIRA to label the versions for the plugin, so that it
-  is clear which version runs on which version of Java. See
-  {{{http://jira.codehaus.org/browse/MCHANGES#selectedTab=com.atlassian.jira.plugin.system.project%3Aversions-panel}Maven
Changes Plugin}}
-  for an example.
+  A plugin/component can start using Java 6 features and/or dependencies when the need
+  arises. If there are issues that have already been fixed, but not yet released,
+  the current trunk of the plugin/component must be released first, targeting Java 5.
+  In the announcement for such a final Java 5 version of the plugin/component, we inform
+  the users that this is the last version that will work with Java 5.
+
+* In JIRA
+
+  When a plugin/component decides to switch to Java 6, you should set
+  the description field for the versions in JIRA for the plugin/component, so that it
+  is clear which version works with which version of Java.
+  Mark the last Java 5 compatible version with "Last version to work with Java 5",
+  see {{{http://jira.codehaus.org/browse/MCHECKSTYLE/fixforversion/20631}example}}.
+  Mark the first version that requires Java 6 "This version requires Java 6",
+  see {{{http://jira.codehaus.org/browse/MCHECKSTYLE/fixforversion/20762}example}}.
+
+  Create an issue "Require Java 6" and schedule it for the first Java 6
+  version, see {{{http://jira.codehaus.org/browse/MCHECKSTYLE-277}example}}.
+  Reference this issue when you check in the code changes (see below) into
+  version control
+
+* On the plugin/component site
+
+  Specify the Java requirements in <<<index.apt.vm>>>: "This plugin/component
requires Java
+  $\{javaVersion\}.", see
+  {{{http://svn.apache.org/viewvc/maven/plugins/trunk/maven-checkstyle-plugin/src/site/apt/index.apt.vm?r1=1650811&r2=1652771&pathrev=1658048}example}}.
+  We need to use the variable $\{javaVersion\} here, because
+  $\{maven.compiler.source\} does not work in a site.
+  
\ No newline at end of file



Mime
View raw message